<?php
function attach_main_options_page() {
	$title = "Choco Options";
	add_menu_page(
		$title,
		$title, 
		'edit_themes', 
	    basename(__FILE__),
		create_function('', '')
	);
}
add_action('admin_menu', 'attach_main_options_page');

$default_bg_color = '#3A2820';
$bg_color = wp_option::factory('color', 'background_color', 'Background Color');
$bg_color->set_default_value($default_bg_color);
$bg_color->help_text("Default color: $default_bg_color");

$bg_image = wp_option::factory('image', 'background_image', 'Background Image');

$bg_repeat = wp_option::factory('select', 'background_repeat', 'Background Repeat');
$bg_repeat->add_options(array(
	'no-repeat'=>'No Repeat',
	'repeat-x'=>'Repeat Horizontal(repeat-x)',
	'repeat-y'=>'Repeat Vertical(repeat-y)',
	'repeat'=>'Repeat Horizontal and Vertical(repeat)',
));
$bg_repeat->set_default_value('no');

$inner_options = new OptionsPage(array(
	wp_option::factory('separator', 'background'),
	$bg_color,
	$bg_image,
	$bg_repeat,
	wp_option::factory('separator', 'scripts'),
    wp_option::factory('header_scripts', 'header_script'),
    wp_option::factory('footer_scripts', 'footer_script'),
));
$inner_options->title = 'General';
$inner_options->file = basename(__FILE__);
$inner_options->parent = "theme-options.php";
$inner_options->attach_to_wp();
?>